VRPlatformVRPlatform
Statements

/statements

Create Statements

POST
/statements
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

month*string

Month string in format YYYY-MM.

Match^\d{4}-\d{2}$
Formatvrp-month
currency?string

Currency in ISO 4217 format, will be converted to lowercase

status?string
Default"inReview"
Value in"draft" | "inReview" | "published"
listingPeriodIds?array<string>
sync?boolean|null
emailDelivery?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrplatform.app/statements" \  -H "Content-Type: application/json" \  -d '{    "month": "2024-01"  }'
{
  "data": [
    {
      "id": "string",
      "total": -9007199254740991,
      "financials": {
        "balanceStart": -9007199254740991,
        "netRevenue": -9007199254740991,
        "expenses": -9007199254740991,
        "reserve": -9007199254740991,
        "netIncome": -9007199254740991,
        "payouts": -9007199254740991,
        "balanceEnd": -9007199254740991
      },
      "summary": [
        {
          "name": "string",
          "text": "string",
          "value": 0,
          "separated": true
        }
      ],
      "payment": {
        "expected": -9007199254740991,
        "received": -9007199254740991,
        "status": "unpaid"
      },
      "uniqueRef": "string",
      "currency": "string",
      "startAt": "string",
      "endAt": "string",
      "issues": [
        {
          "code": "emptyJournalEntryAccountIds",
          "severity": "error",
          "context": {
            "affected": 0
          },
          "message": "string"
        }
      ],
      "payouts": [
        {
          "id": "string",
          "date": "string",
          "total": 0,
          "totalFormatted": "string"
        }
      ],
      "source": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "string",
        "status": "active",
        "appId": "string",
        "appIcon": "string"
      },
      "listing": {
        "id": "string",
        "name": "string",
        "uniqueRef": "string"
      },
      "status": "draft",
      "ownership": {
        "id": "string",
        "startAt": "string",
        "endAt": "string",
        "reserve": -9007199254740991,
        "members": [
          {
            "id": "string",
            "ownerId": "string",
            "contactId": "string",
            "split": 0
          }
        ]
      },
      "layout": {
        "name": "string",
        "summaryType": "default",
        "isDefault": true,
        "showTeamEmail": true,
        "netRevenueSections": [
          {
            "id": "string",
            "name": "string",
            "locked": true,
            "visible": "all",
            "aggregate": true,
            "columns": [
              {
                "id": "string",
                "name": "string",
                "locked": true,
                "visible": "all",
                "type": "field",
                "value": "string"
              }
            ]
          }
        ],
        "otherSections": [
          {
            "id": "string",
            "name": "string",
            "locked": true,
            "visible": "all",
            "columns": [
              {
                "id": "string",
                "name": "string",
                "locked": true,
                "visible": "all",
                "type": "field",
                "value": "string"
              }
            ]
          }
        ],
        "id": "string",
        "version": -9007199254740991,
        "activeListings": [
          {
            "id": "string",
            "name": "string"
          }
        ],
        "linkedAccounts": [
          {
            "id": "string",
            "name": "string",
            "uniqueRef": "string",
            "status": "active"
          }
        ],
        "createdAt": "string",
        "systemSections": [
          {
            "id": "string",
            "name": "string",
            "locked": true,
            "visible": "all",
            "columns": [
              {
                "id": "string",
                "name": "string",
                "locked": true,
                "visible": "all",
                "type": "field",
                "value": "string"
              }
            ]
          }
        ]
      },
      "rows": [
        {
          "id": "string",
          "total": -9007199254740991,
          "section": "string",
          "issues": [
            {
              "code": "previousPeriodJournalEntries",
              "severity": "warning",
              "context": {
                "affected": 0
              },
              "message": "string"
            }
          ],
          "columns": [
            {
              "name": "string",
              "text": "string",
              "type": "string",
              "value": 0,
              "props": {
                "property1": null,
                "property2": null
              }
            }
          ],
          "type": "transaction",
          "source": {
            "id": "string",
            "type": "deposit",
            "description": "string",
            "lines": [
              {
                "id": "string",
                "description": "string"
              }
            ],
            "recurringFee": {
              "id": "string"
            }
          }
        }
      ],
      "attachments": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",
          "createdAt": "string",
          "filename": "string",
          "extension": "string",
          "contentType": "string",
          "byteSize": -9007199254740991,
          "isOwnerAccessible": true
        }
      ]
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}